package ConfigManagement;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;

import tfw.Main.Main;

public class Locations {
	public static void setLobby(Location loc){
		Main.Locations.getConfig().set("Lobby.World", loc.getWorld().getName());
		Main.Locations.getConfig().set("Lobby.X", loc.getX());
		Main.Locations.getConfig().set("Lobby.Y", loc.getY());
		Main.Locations.getConfig().set("Lobby.Z", loc.getZ());
		Main.Locations.getConfig().set("Lobby.Yaw", loc.getYaw());
		Main.Locations.getConfig().set("Lobby.Pitch", loc.getPitch());
		Main.Locations.saveConfig();
	}
	public static Location lobby(){
		float yaw = (float) Main.Locations.getConfig().getDouble("Lobby.Yaw");
		float pitch = (float) Main.Locations.getConfig().getDouble("Lobby.Pitch");
		String w = Main.Locations.getConfig().getString("Lobby.World");
		World world = Bukkit.getServer().getWorld(w);
		Location loc = new Location(world, Main.Locations.getConfig().getDouble("Lobby.X"),
				Main.Locations.getConfig().getDouble("Lobby.Y"), Main.Locations.getConfig().getDouble("Lobby.Z"), yaw, pitch);
		return loc;
	}
	
	public static void setCopSpawn(Location loc){
		Main.Locations.getConfig().set("CopSpawn.World", loc.getWorld().getName());
		Main.Locations.getConfig().set("CopSpawn.X", loc.getX());
		Main.Locations.getConfig().set("CopSpawn.Y", loc.getY());
		Main.Locations.getConfig().set("CopSpawn.Z", loc.getZ());
		Main.Locations.getConfig().set("CopSpawn.Yaw", loc.getYaw());
		Main.Locations.getConfig().set("CopSpawn.Pitch", loc.getPitch());
		Main.Locations.saveConfig();
	}
	public static Location CopSpawn(){
		float yaw = (float) Main.Locations.getConfig().getDouble("CopSpawn.Yaw");
		float pitch = (float) Main.Locations.getConfig().getDouble("CopSpawn.Pitch");
		String w = Main.Locations.getConfig().getString("CopSpawn.World");
		World world = Bukkit.getServer().getWorld(w);
		Location loc = new Location(world, Main.Locations.getConfig().getDouble("CopSpawn.X"),
				Main.Locations.getConfig().getDouble("CopSpawn.Y"), Main.Locations.getConfig().getDouble("CopSpawn.Z"), yaw, pitch);
		return loc;
	}
	public static void setRobberSpawn(Location loc){
		Main.Locations.getConfig().set("RobberSpawn.World", loc.getWorld().getName());
		Main.Locations.getConfig().set("RobberSpawn.X", loc.getX());
		Main.Locations.getConfig().set("RobberSpawn.Y", loc.getY());
		Main.Locations.getConfig().set("RobberSpawn.Z", loc.getZ());
		Main.Locations.getConfig().set("RobberSpawn.Yaw", loc.getYaw());
		Main.Locations.getConfig().set("RobberSpawn.Pitch", loc.getPitch());
		Main.Locations.saveConfig();
	}
	public static Location RobberSpawn(){
		float yaw = (float) Main.Locations.getConfig().getDouble("RobberSpawn.Yaw");
		float pitch = (float) Main.Locations.getConfig().getDouble("RobberSpawn.Pitch");
		String w = Main.Locations.getConfig().getString("RobberSpawn.World");
		World world = Bukkit.getServer().getWorld(w);
		Location loc = new Location(world, Main.Locations.getConfig().getDouble("RobberSpawn.X"),
				Main.Locations.getConfig().getDouble("RobberSpawn.Y"), Main.Locations.getConfig().getDouble("RobberSpawn.Z"), yaw, pitch);
		return loc;
	}
}
