package ConfigManagement;

import org.bukkit.ChatColor;
import org.bukkit.configuration.file.FileConfiguration;

import GameManagement.GameStage;
import tfw.Main.Main;

public class Messages {
	static FileConfiguration f = Main.Messages.getConfig();
	public static String getPrefix(){
		if (f.contains("prefix")) return ChatColor.translateAlternateColorCodes('&', f.getString("prefix"));
		return "";
	}
	public static String getJoinLobby(Integer playersLeft, String playername){
		if (playersLeft >= 1){
			if (f.contains("join_message_lobby_unfilled")){
				String s = f.getString("join_message_lobby_unfilled").replace("{PLAYERNAME}", playername);
				String r = s.replace("{PLAYERSLEFT}", playersLeft.toString());
				return ChatColor.translateAlternateColorCodes('&', r);
			}
		}
		else {
			if (f.contains("join_message_lobby_full")){
				String s = f.getString("join_message_lobby_full").replace("{PLAYERNAME}", playername);
				return ChatColor.translateAlternateColorCodes('&', s);
			}
		}
		return "";
	}
	public static String motd(GameStage stage){
		return ChatColor.translateAlternateColorCodes('&', f.getString("MOTD_" + stage.toString()));
			
		
	}
	public static String plantedBomb(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("BOMB_PLANTED"));
	}
	public static String oneWinGame(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("TEAM_ONE_WIN"));
	}
	public static String twoWinGame(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("TEAM_TWO_WIN"));
	}
	public static String shopName(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("SHOP_NAME"));
	}
	public static String price(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("PRICE"));
	}
	public static String primary(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("PRIMARY"));
	}
	public static String secondary(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("SECONDARY"));
	}
	public static String begun(){
		return ChatColor.translateAlternateColorCodes('&', f.getString("GAME_BEGUN"));
	}
}
