package ConfigManagement;

import org.bukkit.Material;
import org.bukkit.configuration.file.FileConfiguration;

import tfw.Main.Main;

public class Settings {
	private static FileConfiguration f = Main.Settings.getConfig();
	public static void createDefaults(){
		if (!f.contains("min_players")){
			f.set("min_players", 4);
			Main.Settings.saveConfig();
		}
		if (!f.contains("rounds_to_win")){
			f.set("rounds_to_win", 3);
			Main.Settings.saveConfig();
		}
		if (!f.contains("rounds_to_switch")){
			f.set("rounds_to_switch", 4);
			Main.Settings.saveConfig();
		}
		if (!f.contains("block_for_bomb_site")){
			f.set("block_for_bomb_site", "QUARTZ_BLOCK");
			Main.Settings.saveConfig();
		}
		if (!f.contains("bomb_timer")){
			f.set("bomb_timer", 40);
			Main.Settings.saveConfig();
		}
		if (!f.contains("game_timer")){
			f.set("game_timer", 120);
			Main.Settings.saveConfig();
		}
		if (!f.contains("restart_after_game")){
			f.set("restart_after_game", false);
			Main.Settings.saveConfig();
		}
		if (!f.contains("default_primary")){
			f.set("default_primary", "NOTHING");
		
			Main.Settings.saveConfig();
		}
		if (!f.contains("default_secondary")){
			f.set("default_secondary", "Python");
			Main.Settings.saveConfig();
		}
		if (!f.contains("custom_gun_setup")){
			f.set("custom_gun_setup", false);
			
		}
		if (!f.contains("time_after_game")){
			f.set("time_after_game", 10);
		}
		Main.Settings.saveConfig();
	}
	public static Long timeAfter(){
		int i = f.getInt("time_after_game");
		int ix = i *20;
		long l = (long) ix;
		return l;
	}
	public static boolean customGuns(){
		if (!f.contains("custom_gun_setup")) return false;
		return (f.getBoolean("custom_gun_setup"));
	}
	public static String defaultSecondary(){
		if (!f.contains("default_secondary")) return "NOTHING";
		return f.getString("default_secondary");
	}
	public static String defaultPrimary(){
		if (!f.contains("default_primary")) return "NOTHING";
		return f.getString("default_primary");
	}
	public static boolean restart(){
		if (!f.contains("restart_after_game")) return false;
		else return (f.getBoolean("restart_after_game"));
	}
	public static int gameTimer(){
		if (f.contains("game_timer")) return f.getInt("game_timer");
		return 120;
	}
	
	public static int bombTimer(){
		if (!f.contains("bomb_timer")) return 40;
		return f.getInt("bomb_timer");
	}
	public static Material getBombSite(){
		return Material.getMaterial(f.getString("block_for_bomb_site"));
	}
	public static int roundsToSwitch(){
		return (f.getInt("rounds_to_switch"));
	}
	public static int minPlayers(){
		return (f.getInt("min_players"));
	}
	public static int roundsToWin(){
		return (f.getInt("rounds_to_win"));
	}
}
