package Events;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageEvent;
import org.bukkit.event.entity.EntityDamageEvent.DamageCause;

import GameManagement.End;
import GameManagement.GameStage;
import GameManagement.Manager;
import GameManagement.State;
import GameManagement.Team;
import PlayerManagement.Players;
import PlayerManagement.Spectate;
import PlayerManagement.Teams;
import Stats.CurrentGame;

public class Damage implements Listener{
	@EventHandler
	public void onDamage(EntityDamageEvent event){
		if (event.getEntity() instanceof Player){
			if (Manager.getStage() == GameStage.LOBBY || Manager.getStage() == GameStage.BETWEEN_ROUNDS||
					Manager.getStage() == GameStage.STARTING || Manager.getStage() == GameStage.POSTGAME){
				event.setCancelled(true);
			}
			else{
				if (event.getCause() != DamageCause.PROJECTILE && event.getCause() != DamageCause.ENTITY_ATTACK &&
						event.getCause() != DamageCause.VOID){
					event.setCancelled(true);
				}else{
					if (event.getCause() == DamageCause.VOID){
						//Player has been killed
						Player damaged = (Player) event.getEntity();
						Spectate.set(damaged);
						
						CurrentGame.addDeath(damaged);
				
						Team t = Players.getTeam(damaged);
						
						Teams.setAlive(t, Teams.getAlive(t) - 1);
						boolean x = false;
						if (Manager.getCops() == t) x = true;//if true losing team is cops
						if (Manager.getState() == State.DEFAULT){
							
							if (Teams.getAlive(t) <= 0){
								
								if (t == Team.ONE){
									if (x) End.round(Team.TWO, "Criminals");
									else End.round(Team.TWO, "Cops");
									
								}
								else{
									if (x) End.round(Team.ONE, "Criminals");
									else End.round(Team.ONE, "Cops");
								
								}
								
							}
						}
						else if (Manager.getState() == State.PLANTED){
							if (Manager.getCops() == t){
								if (Teams.getAlive(t) <= 0){
									if (t == Team.ONE){
										End.round(Team.TWO, "Criminals");
									}
									else{
										End.round(Team.ONE, "Criminals");
									}
								
							
						}
						event.setCancelled(true);
						
					}
				
				}
						event.setCancelled(true);
					}
				}
			}
				
		}
	}
}
