package Events;

import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;

import GameManagement.GameStage;
import GameManagement.Manager;
import GameManagement.State;
import GameManagement.Team;
import Guns.Shop;
import PlayerManagement.Players;

public class Interact implements Listener{

	@EventHandler
	public void onInteract(PlayerInteractEvent event){
		if (Manager.getStage() != GameStage.INGAME) return;
			if (event.getAction() == Action.RIGHT_CLICK_BLOCK && event.getClickedBlock().getType().equals(Material.CHEST)){
				if (Players.getTeam(event.getPlayer()).equals(Team.ONE)){
					if (Manager.getCops().equals(Team.TWO)){
						event.setCancelled(true);
					}else{
						if (Manager.getState() == State.PLANTED){
							if (event.getClickedBlock().equals(ItemConsume.chest)){
								bomb.bombInventory.open(event.getPlayer());
								event.setCancelled(true);
							}else event.setCancelled(true);
						}else event.setCancelled(true);	
					}
				}else{
					if (Manager.getCops().equals(Team.ONE)){
						event.setCancelled(true);
					}else{
						if (Manager.getState() == State.PLANTED){
							if (event.getClickedBlock().equals(ItemConsume.chest)){
								event.setCancelled(true);
								bomb.bombInventory.open(event.getPlayer());
							}else event.setCancelled(true);
						}else event.setCancelled(true);
						
					}
				}
				
			}
			if (event.getAction() == Action.RIGHT_CLICK_AIR || event.getAction() == Action.RIGHT_CLICK_BLOCK){
				if (event.getItem() == null) return;
				else if (event.getItem().getType().equals(Material.GLASS_BOTTLE)){
					Shop.open(event.getPlayer());
				}
			}
			
		
	}
	
}
