package GameManagement;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Item;
import org.bukkit.entity.Player;

import GameManagement.GameStage;
import tfw.Main.Main;
import ConfigManagement.Locations;
import ConfigManagement.Messages;
import ConfigManagement.Settings;
import Events.ItemConsume;
import PlayerManagement.Spectate;
import PlayerManagement.Teams;

public class End {
	public static void game(Team winner){
		Manager.setStage(GameStage.POSTGAME);
		if (winner == Team.ONE)Bukkit.broadcastMessage(Messages.getPrefix() + Messages.oneWinGame());
		else Bukkit.broadcastMessage(Messages.getPrefix() + Messages.twoWinGame());
		
		Bukkit.getServer().getScheduler().scheduleSyncDelayedTask(Main.getPlugin(), new Runnable() {
			public void run() {
			if (Settings.restart()) Bukkit.getServer().shutdown();
			else Reset.game();

			}
			}, Settings.timeAfter());
		
	}
	
	
	public static void round(Team winner, String s){
		Manager.setStage(GameStage.POSTGAME);
		Start.gameTimer.cancel();
		for (Player p : Bukkit.getOnlinePlayers()){
			Spectate.clear(p);
		}
		
		Manager.setState(State.DEFAULT);
		if (ItemConsume.chest != null) 	ItemConsume.chest.setType(Material.AIR);
	
		if (winner == Team.ONE){
			
			Bukkit.broadcastMessage(Messages.getPrefix() + ChatColor.GREEN + " Team one (" + s + ") wins!");
		}
		else if (winner == Team.TWO){
			Bukkit.broadcastMessage(Messages.getPrefix() + ChatColor.GREEN + " Team two (" + s + ") wins!");
		}
		for (Entity e : Locations.CopSpawn().getWorld().getEntities()){
			if (e instanceof Item){
				e.remove();
			}
		}
		Manager.addPoint(winner);
		if (Manager.getScore(winner) >= Settings.roundsToWin()){
			//game over
			game(winner);
		}
		else{
			//game not over
			if (Teams.one.size() <= 0 || Teams.two.size() <= 0){
				if (Teams.one.size() <= 0) End.game(Team.TWO);
				else End.game(Team.ONE);
			}else{
				Bukkit.getServer().getScheduler().scheduleSyncDelayedTask(Main.getPlugin(), new Runnable() {
					public void run() {
						Manager.round++;
						Start.newRound();
						
					}
					}, 100L);
			}
			
			
		
			
		}
	}
}
