package GameManagement;


import GameManagement.GameStage;
import ConfigManagement.Settings;

public class Manager {
	public static GameStage stage = GameStage.LOBBY;
	public static State state = State.DEFAULT;
	public static int oneScore = 0;
	public static int twoScore = 0;
	public static int round = 1;
	//used for setting the stage of the game
	public static void setStage(GameStage gstage){
		stage = gstage;
	}
	public static GameStage getStage(){
		return stage;
	}
	public static void addPoint(Team team){
		if (team == Team.ONE){
			oneScore++;
		}
		else {
			twoScore++;
		}
	}
	
	public static int getMoney(){
		if (round == 1 || round == Settings.roundsToSwitch())return 500;
		else if (round == 2 || round == Settings.roundsToSwitch() + 1) return 900;
		else if (round == 3 || round == Settings.roundsToSwitch() + 2) return 1200;
		else if (round == 4 || round == Settings.roundsToSwitch() + 3) return 1400;
		else return 1500;
	}
	
	public static int getScore(Team team){
		if (team == Team.ONE) return oneScore;
		return twoScore;
	}
	public static void setState(State s){
		state = s;
	}
	public static State getState(){
		return state;
	}
	
	public static Team getCops(){
		if (round < Settings.roundsToSwitch()) return Team.ONE;
		return Team.TWO;
	}
	public static Team getCrims(){
		if (round >= Settings.roundsToSwitch()) return Team.ONE;
		return Team.TWO;
	}
}
