package GameManagement;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import GameManagement.GameStage;
import ConfigManagement.Locations;
import ConfigManagement.Settings;
import PlayerManagement.Teams;
import ScoreManagement.Remove;

public class Reset {
	public static void game(){
		Manager.setStage(GameStage.LOBBY);
		Manager.round = 1;
		Manager.setState(State.DEFAULT);
		Manager.oneScore = 0;
		Manager.twoScore = 0;
		Stats.CurrentGame.clear();
		Teams.setAlive(Team.ONE, 0);
		Teams.setAlive(Team.TWO, 0);
		PlayerManagement.Teams.one.clear();
		PlayerManagement.Teams.two.clear();
		Remove.boards();
		for (Player p : Bukkit.getOnlinePlayers()){
			p.teleport(Locations.lobby());
			p.getInventory().clear();
			p.getInventory().setHelmet(null);
		}
		if (Bukkit.getOnlinePlayers().size() >= Settings.minPlayers()){
			Start.countdown();
		}
	}
}
