package Guns;

import java.util.ArrayList;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import ConfigManagement.Messages;
import tfw.Main.Main;

public class Shop{
	public static Inventory chest = Bukkit.createInventory(null, 54, Messages.shopName());
	public static void setName(ItemStack i, String name){
		ItemMeta iM = i.getItemMeta();
		iM.setDisplayName(name);
		i.setItemMeta(iM);
		
	}
	public static void open(Player player){
		for (String s : Main.Gun.getConfig().getKeys(false)){
			if (Material.getMaterial(s) != null){
				Material m = Material.getMaterial(s);
				ItemStack i = new ItemStack(m, 1);
				setName(i, ChatColor.GOLD + "" + ChatColor.BOLD + ConfigManagement.Guns.gunName(m));
				ItemMeta iMeta = i.getItemMeta();
				
				ArrayList<String> lores = new ArrayList<String> ();
				lores.add(Messages.price()+" " + ConfigManagement.Guns.price(m));
				if (ConfigManagement.Guns.isPrimary(m)) lores.add(Messages.primary());
				else lores.add(Messages.secondary());
				iMeta.setLore(lores);
				i.setItemMeta(iMeta);
				chest.setItem(ConfigManagement.Guns.slotNumber(m), i);
			}
		}
		player.openInventory(chest);
	}
	
	
	/*public static void open(Player player){
		ItemStack dEagle = new ItemStack(Material.WOOD_AXE, 1);
		setName(dEagle, ChatColor.GOLD + "Desert Eagle");
		ItemMeta dMeta = dEagle.getItemMeta();
		ArrayList<String> lores = new ArrayList<String>();
		lores.add(ChatColor.DARK_PURPLE+ "Price: 500");
		lores.add(ChatColor.DARK_PURPLE + "Secondary Weapon");
		dMeta.setLore(lores);
		dEagle.setItemMeta(dMeta);
		
		ItemStack carbine = new ItemStack(Material.WOOD_HOE, 1);
		setName(carbine, ChatColor.GOLD + "Carbine");
		lores.clear();
		lores.add(ChatColor.DARK_PURPLE + "Price: 800");
		lores.add(ChatColor.DARK_PURPLE + "Primary Weapon");
		ItemMeta cMeta = carbine.getItemMeta();
		cMeta.setLore(lores);
		carbine.setItemMeta(cMeta);
		chest.setItem(1, carbine);
		chest.setItem(0, dEagle);
		player.openInventory(chest);
		
	}*/
	
	
	
	
}
