package PlayerManagement;

import java.util.ArrayList;
import java.util.Random;
import java.util.UUID;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import ConfigManagement.Locations;
import GameManagement.Manager;
import GameManagement.Team;

public class Teams {

	public static ArrayList<UUID> one = new ArrayList<UUID> ();
	public static ArrayList<UUID> two = new ArrayList<UUID> ();
	private static int oneAlive = 0;
	private static int twoAlive = 0;
	public static void setAlive(Team team, int i){
		if (team == Team.ONE){
			oneAlive = i;
		}
		else{
			twoAlive = i;
		}
	}
	public static int getAlive(Team team){
		if (team == Team.ONE) return oneAlive;
		return twoAlive;
	}
	
	public static void addToTeam(Player p){
		if (PlayerManagement.Teams.one.size() > PlayerManagement.Teams.two.size()){
			PlayerManagement.Players.setTeam(p, Team.TWO);
			if (Manager.getCops() == Team.ONE) p.teleport(Locations.RobberSpawn());
			else p.teleport(Locations.CopSpawn());
		}
		else if (PlayerManagement.Teams.one.size() < PlayerManagement.Teams.two.size()){
			PlayerManagement.Players.setTeam(p, Team.ONE);
			if (Manager.getCops() == Team.TWO) p.teleport(Locations.RobberSpawn());
			else p.teleport(Locations.CopSpawn());
		}
		else{
			Random r = new Random();
			if (r.nextInt(2) == 1){
				PlayerManagement.Players.setTeam(p, Team.ONE);
				if (Manager.getCops() == Team.TWO) p.teleport(Locations.RobberSpawn());
				else p.teleport(Locations.CopSpawn());
			}
			else {
				PlayerManagement.Players.setTeam(p, Team.TWO);
				if (Manager.getCops() == Team.ONE) p.teleport(Locations.RobberSpawn());
				else p.teleport(Locations.CopSpawn());
			}
			
		}
	}
	
	public static void lateJoin(Player p){
		if (PlayerManagement.Teams.one.size() > PlayerManagement.Teams.two.size()){
			PlayerManagement.Players.setTeam(p, Team.TWO);
		}
		else if (PlayerManagement.Teams.one.size() < PlayerManagement.Teams.two.size()){
			PlayerManagement.Players.setTeam(p, Team.ONE);
		}
		else{
			Random r = new Random();
			if (r.nextInt(2) == 1){
				PlayerManagement.Players.setTeam(p, Team.ONE);
			}
			else {
				PlayerManagement.Players.setTeam(p, Team.TWO);
			}
			
		}
	}
	
	public static void create(){
		PlayerManagement.Teams.one.clear();
		PlayerManagement.Teams.two.clear();
		for (Player p : Bukkit.getOnlinePlayers()){
			if (PlayerManagement.Teams.one.size() > PlayerManagement.Teams.two.size()){
				PlayerManagement.Players.setTeam(p, Team.TWO);
			}
			else if (PlayerManagement.Teams.one.size() < PlayerManagement.Teams.two.size()){
				PlayerManagement.Players.setTeam(p, Team.ONE);
			}
			else{
				Random r = new Random();
				if (r.nextInt(2) == 1){
					PlayerManagement.Players.setTeam(p, Team.ONE);
				}
				else {
					PlayerManagement.Players.setTeam(p, Team.TWO);
				}
				
			}
		}
	}
	
	public static void spawn(){
		for (UUID u : one){
			Player p = Bukkit.getPlayer(u);
			if (p != null){
				if (Manager.getCops() == Team.ONE) p.teleport(Locations.CopSpawn());
				else p.teleport(Locations.RobberSpawn());
				
			}
		}
		for (UUID u : two){
			Player p = Bukkit.getPlayer(u);
			if (p != null){
				if (Manager.getCops() == Team.TWO) p.teleport(Locations.CopSpawn());
				else p.teleport(Locations.RobberSpawn());
			}
		}
	
	}
	
}
