package ScoreManagement;

import java.util.HashMap;
import java.util.UUID;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.scoreboard.DisplaySlot;
import org.bukkit.scoreboard.Objective;
import org.bukkit.scoreboard.Score;
import org.bukkit.scoreboard.Scoreboard;
import org.bukkit.scoreboard.ScoreboardManager;

import GameManagement.Team;
import PlayerManagement.Players;

public class Test {

	private static ScoreboardManager manager = Bukkit.getScoreboardManager();
	static HashMap<UUID, Scoreboard> scoreboards = new HashMap<UUID, Scoreboard>();
	 
	public static void createScoreboard(Player player) {
	 
	Scoreboard board = manager.getNewScoreboard();
	 
	Objective objective = board.registerNewObjective("dtvScoreboard", "dummy");
	 
	objective.setDisplaySlot(DisplaySlot.SIDEBAR);
	objective.setDisplayName("Cops and Crims");

	player.setScoreboard(board);
	scoreboards.put(player.getUniqueId(), board);
	 
	}
	 
	public static void updatePoints(Player player) {
	Scoreboard board = scoreboards.get(player.getUniqueId());
	 
	Objective objective = board.getObjective(DisplaySlot.SIDEBAR);
	if (Players.getTeam(player) == Team.ONE){
		Score team = objective.getScore("Team One");
		team.setScore(6);
	}
	else{
		Score team = objective.getScore("Team Two");
		team.setScore(6);
	}
	 
	player.setScoreboard(board);
	scoreboards.put(player.getUniqueId(), board);
	}
}
