package ConfigManagement;

import org.bukkit.Material;
import org.bukkit.configuration.file.FileConfiguration;

import tfw.Main.Main;

public class Guns {
	Material m = Material.WOOD_HOE;
	private static FileConfiguration f = Main.Gun.getConfig();
	public static void createDefaults(){
		if (Settings.customGuns()) return;
		if (!f.contains("IRON_BARDING")){
			f.set("IRON_BARDING.gun", "Python");
			f.set("IRON_BARDING.type", "Secondary");
			f.set("IRON_BARDING.slot", 1);
			f.set("IRON_BARDING.price", 250);
			Main.Gun.saveConfig();
		}
		if (!f.contains("WOOD_HOE")){
			f.set("WOOD_HOE.gun", "Carbine");
			f.set("WOOD_HOE.type", "Primary");
			f.set("WOOD_HOE.slot", 2);
			f.set("WOOD_HOE.price", 800);

			Main.Gun.saveConfig();
		}
		if (!f.contains("WOOD_AXE")){
			f.set("WOOD_AXE.gun", "Deagle");
			f.set("WOOD_AXE.type", "Secondary");
			f.set("WOOD_AXE.slot", 3);
			f.set("WOOD_AXE.price", 500);
			Main.Gun.saveConfig();
		}
	}
	
	public static int price(Material mat){
		if (!f.contains(mat.toString() + ".price")) return 500;
		return (f.getInt(mat.toString() + ".price"));
	}
	
	public static int slotNumber(Material mat){
		if (!f.contains(mat.toString() + ".slot")) return 0;
		return (f.getInt(mat.toString() + ".slot"));
	}
	
	public static boolean isPrimary(Material mat){
		if (!f.contains(mat.toString() + ".type")) return false;
		return (f.getString(mat.toString() + ".type").equalsIgnoreCase("primary"));
	}
	public static String gunName(Material mat){
		if (!f.contains(mat.toString() + ".gun")) return "Nothing";
		return (f.getString(mat.toString() + ".gun"));
	}
	
}
