package Events;

import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.entity.Item;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerDropItemEvent;

import tfw.Main.Main;

public class DropItem implements Listener{

	@EventHandler
	public void onDrop(final PlayerDropItemEvent event){
		if (event.getItemDrop().getItemStack().getType().equals(Material.GOLDEN_APPLE) || 
				event.getItemDrop().getItemStack().getType().equals(Material.GLASS_BOTTLE) ||
				event.getItemDrop().getItemStack().getType().equals(Material.STONE_SWORD)){
			event.setCancelled(true);
		}
		else{
			Item i = event.getPlayer().getWorld().dropItem(event.getPlayer().getLocation(), event.getItemDrop().getItemStack());
			i.setVelocity(i.getVelocity().multiply(2));
			Bukkit.getServer().getScheduler().scheduleSyncDelayedTask(Main.getPlugin(), new Runnable() {
				public void run() {
					event.getPlayer().setItemInHand(null);
					
				}
				}, 2L);
		
			
		}
	}
}
