package Events;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.inventory.ItemStack;

import tfw.Main.Main;
import GameManagement.End;
import GameManagement.Start;
import Guns.Shop;
import PlayerManagement.Players;
import Stats.CurrentGame;
import bomb.bombInventory;

public class InventoryClick implements Listener{

	@EventHandler
	public void onClick(InventoryClickEvent event){
		if (event.getWhoClicked() instanceof Player){
			Player p = (Player) event.getWhoClicked();
			if (event.getInventory().getName().equals(bomb.bombInventory.chest.getName())){
				if (event.getCurrentItem().getType().equals(Material.REDSTONE_TORCH_ON)){
					event.getCurrentItem().setType(Material.REDSTONE);
					if (!bomb.bombInventory.chest.contains(Material.REDSTONE_TORCH_ON)){
						Bukkit.broadcastMessage(ChatColor.GREEN + "" + ChatColor.BOLD + "Bomb has been defused by " +
					p.getName() + "!");
						p.closeInventory();
						Start.bombTimer.cancel();
						End.round(Players.getTeam(p), "Cops");
					}
				}
				else{
					p.closeInventory();
					bombInventory.open(p);
				}
				event.setCancelled(true);
			}else if (event.getInventory().getName().equals(Shop.chest.getName())){
				if (ChatColor.stripColor(event.getCurrentItem().getItemMeta().getLore().get(1)) == null) return;
				if (ChatColor.stripColor(event.getCurrentItem().getItemMeta().getLore().get(1)).equalsIgnoreCase("Primary Weapon")){
					if (p.getInventory().getItem(0) == null){
						String [] parts = ChatColor.stripColor(event.getCurrentItem().getItemMeta().getLore().get(0)).split(" ");
						int i = Integer.parseInt(parts[1]);
						if (CurrentGame.hasMoney(p, i)){
							CurrentGame.removeMoney(p, i);
							Material m = event.getCurrentItem().getType();
							ItemStack x = Main.cs.generateWeapon(ConfigManagement.Guns.gunName(m));
							p.getInventory().setItem(0, x);
						}else p.sendMessage(ChatColor.RED + "You do not have enough money!");
					}else {
						p.sendMessage(ChatColor.RED + "You already have a primary weapon!");
					}
				}
				else{
					if (p.getInventory().getItem(1) == null){
						String [] parts = ChatColor.stripColor(event.getCurrentItem().getItemMeta().getLore().get(0)).split(" ");
						int i = Integer.parseInt(parts[1]);
						if (CurrentGame.hasMoney(p, i)){
							CurrentGame.removeMoney(p, i);
							Material m = event.getCurrentItem().getType();
							ItemStack x = Main.cs.generateWeapon(ConfigManagement.Guns.gunName(m));
							p.getInventory().setItem(1, x);
						}else p.sendMessage(ChatColor.RED + "You do not have enough money!");
					}else {
						p.sendMessage(ChatColor.RED + "You already have a secondary weapon!");
					}
				}
				/*if (event.getCurrentItem().getType().equals(Material.WOOD_AXE)){
					if (CurrentGame.hasMoney(p, 500) && p.getInventory().getItem(1) == null){
						
						ItemStack deagle = Main.cs.generateWeapon("Deagle");
						p.getInventory().setItem(1, deagle);
						CurrentGame.removeMoney(p, 500);
					}
				}else if (event.getCurrentItem().getType().equals(Material.WOOD_HOE)){
					if (CurrentGame.hasMoney(p, 800) && p.getInventory().getItem(0) == null){
						ItemStack carbine = Main.cs.generateWeapon("Carbine");
						p.getInventory().setItem(0, carbine);
						CurrentGame.removeMoney(p, 800);
					}
				}*/
				event.setCancelled(true);
			}else {
				event.setCancelled(true);
			}
			
		}
	}
}
