package Events;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerPickupItemEvent;
import org.bukkit.inventory.ItemStack;

import tfw.Main.Main;
public class PickupItem implements Listener{

	@EventHandler
	public void onPickup(PlayerPickupItemEvent event){
		Player p = event.getPlayer();
		Material m = event.getItem().getItemStack().getType();
		if (ConfigManagement.Guns.isPrimary(m)){
			if (event.getPlayer().getInventory().getItem(0) != null){
				event.setCancelled(true);
			}else{
				ItemStack i = Main.cs.generateWeapon(ConfigManagement.Guns.gunName(m));
				p.getInventory().setItem(0, i);
				event.getItem().remove();
				event.setCancelled(true);
			}
		}else{
			if (event.getPlayer().getInventory().getItem(1) != null){
				event.setCancelled(true);
			}else{
				ItemStack i = Main.cs.generateWeapon(ConfigManagement.Guns.gunName(m));
				p.getInventory().setItem(1, i);
				event.getItem().remove();
				event.setCancelled(true);
			}
		}
	}
	
}
