package Events;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;

import GameManagement.GameStage;
import GameManagement.End;
import GameManagement.Manager;
import GameManagement.Reset;
import GameManagement.Start;
import GameManagement.Team;
import PlayerManagement.Players;
import PlayerManagement.Teams;

public class Quit implements Listener{


	@EventHandler
	public void onQuit(PlayerQuitEvent event){
		Player p = event.getPlayer();
		if (Manager.getStage() == GameStage.LOBBY){
			event.setQuitMessage("");//add later
		}
		else if (Manager.getStage() == GameStage.STARTING){
			event.setQuitMessage(""); //add later
		}
		else if (Manager.getStage() == GameStage.BETWEEN_ROUNDS){
			event.setQuitMessage(""); //add later
			if (Players.getTeam(p) == Team.ONE){
				Teams.one.remove(p.getUniqueId());
				Players.team.remove(p.getUniqueId());
				if(Teams.one.size() <= 0){
					//stop the game
					Start.pregameTimer.cancel();
					Reset.game();
					Bukkit.broadcastMessage(ChatColor.RED + "Not enough players on team one to play!");
				}
			}else{
				Teams.two.remove(p.getUniqueId());
				Players.team.remove(p.getUniqueId());
				if (Teams.two.size() <= 0){
					Start.pregameTimer.cancel();
					Reset.game();
					Bukkit.broadcastMessage(ChatColor.RED + "Not enough players on team two to play!");
				}
			}
		}
		else if (Manager.getStage() == GameStage.INGAME){
			event.setQuitMessage(""); //add later
			if (Players.getTeam(p) == Team.ONE){
				Teams.one.remove(p.getUniqueId());
				Players.team.remove(p.getUniqueId());
				if(Teams.one.size() <= 0){
					//stop the game
					End.game(Team.ONE);
				}
			}else{
				Teams.two.remove(p.getUniqueId());
				Players.team.remove(p.getUniqueId());
				if (Teams.two.size() <= 0){
					End.game(Team.TWO);
				}
			}
		}
		else if (Manager.getStage() == GameStage.POSTGAME){
			if (Players.getTeam(p) == Team.ONE){
				Teams.one.remove(p.getUniqueId());
				Players.team.remove(p.getUniqueId());

			}else{
				Teams.two.remove(p.getUniqueId());
				Players.team.remove(p.getUniqueId());

			}
		}
	}
	
}
