package GameManagement;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import GameManagement.GameStage;
import tfw.Main.Main;
import tfw.Main.SimplyCountdown;
import ConfigManagement.Messages;
import ConfigManagement.Settings;
import PlayerManagement.InventoryManager;
import PlayerManagement.Teams;
import Stats.CurrentGame;



public class Start {
	public static SimplyCountdown gameTimer = new SimplyCountdown(Main.getPlugin());
	public static SimplyCountdown pregameTimer = new SimplyCountdown(Main.getPlugin());
	public static SimplyCountdown bombTimer = new SimplyCountdown(Main.getPlugin());
	public static void game(){
		Bukkit.broadcastMessage(Messages.getPrefix() + Messages.begun());
		Manager.setStage(GameStage.INGAME);
		Manager.setState(State.DEFAULT);
		gameTimer.startCountdown(false, Settings.gameTimer(), "");
		Teams.setAlive(Team.ONE, Teams.one.size());
		Teams.setAlive(Team.TWO, Teams.two.size());
	}
	
	public static void planted(){
		Bukkit.broadcastMessage(Messages.plantedBomb());
		Manager.setState(State.PLANTED);
		gameTimer.cancel();
		bombTimer.startCountdown(false, Settings.bombTimer(), "");
	}
	
	
	public static void newRound(){
		Manager.setStage(GameStage.BETWEEN_ROUNDS);
		Bukkit.getConsoleSender().sendMessage("Round: "+  Manager.round);
		Bukkit.getConsoleSender().sendMessage("Cops: " + Manager.getCops().toString());
		Bukkit.getConsoleSender().sendMessage("Crims: " + Manager.getCrims().toString());
		Teams.spawn();
		for (Player p : Bukkit.getOnlinePlayers()){
			p.setHealth(20.0);
			CurrentGame.setMoney(p, Manager.getMoney());
		}
		InventoryManager.equipDefaults();
		pregameTimer.startCountdown(true, 20, Main.Messages.getConfig().getString("ROUND_STARTING"));

	}
	
	public static void preGame(){
		
		Manager.setStage(GameStage.BETWEEN_ROUNDS);
		Bukkit.getConsoleSender().sendMessage("Round: "+  Manager.round);
		Bukkit.getConsoleSender().sendMessage("Cops: " + Manager.getCops().toString());
		Bukkit.getConsoleSender().sendMessage("Crims: " + Manager.getCrims().toString());

		Teams.create();
		Teams.spawn();
		for (Player p : Bukkit.getOnlinePlayers()){
			p.setHealth(20.0);
			CurrentGame.setMoney(p, Manager.getMoney());
		}
		InventoryManager.equipDefaults();
		pregameTimer.startCountdown(true, 20, Main.Messages.getConfig().getString("GAME_STARTING"));

	}
	public static SimplyCountdown c = new SimplyCountdown(Main.getPlugin());
	public static void countdown(){
		Manager.setStage(GameStage.STARTING);
	
		Manager.round = 1;
		c.startCountdown(true, 10, Main.Messages.getConfig().getString("TELEPORTING"));

	}
	
}
