package PlayerManagement;

import java.util.Random;

import org.bukkit.Bukkit;
import org.bukkit.DyeColor;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import tfw.Main.Main;
import ConfigManagement.Settings;
import GameManagement.Manager;
import GameManagement.Team;

public class InventoryManager {
	public static void setName(ItemStack i, String name){
		ItemMeta iM = i.getItemMeta();
		iM.setDisplayName(name);
		i.setItemMeta(iM);
		
	}
	@SuppressWarnings("deprecation")
	public static void equipDefaults(){
	/*	ItemStack i = new ItemStack(Material.WOOD_SPADE, 7);
		setName(i, "M9");*/
		for (Player p : Bukkit.getOnlinePlayers()){
			p.getInventory().clear();
		}
		ItemStack knife = new ItemStack(Material.STONE_SWORD, 1);
		setName(knife, "KNIFE");
		ItemStack shop = new ItemStack(Material.GLASS_BOTTLE, 1);
		setName(shop, "SHOP");
		ItemStack bomb = new ItemStack(Material.GOLDEN_APPLE, 1);
		if (!Settings.defaultPrimary().equalsIgnoreCase("nothing")){
			ItemStack gunP = Main.cs.generateWeapon(Settings.defaultPrimary());
			for (Player p : Bukkit.getOnlinePlayers()){
				p.getInventory().setItem(0, gunP);
			}
		}
		if (!Settings.defaultSecondary().equalsIgnoreCase("nothing")){
			ItemStack gunS = Main.cs.generateWeapon(Settings.defaultSecondary());
			
			for (Player p : Bukkit.getOnlinePlayers()){
				p.getInventory().setItem(1, gunS);
			}
		}
		
		
		setName(bomb, "C4");
		ItemStack redwool = new ItemStack(Material.WOOL, 1, DyeColor.RED.getData());
		ItemStack bluewool = new ItemStack(Material.WOOL, 1, DyeColor.BLUE.getData());
		for (Player p : Bukkit.getOnlinePlayers()){
			
			p.getInventory().setItem(2, knife);
			p.getInventory().setItem(8, shop);
			if (Players.getTeam(p).equals(Manager.getCrims())){
				p.getInventory().setHelmet(redwool);
			}else{
				p.getInventory().setHelmet(bluewool);
			}
		}
		Random r = new Random();
		if (Manager.getCrims() == Team.ONE){
			int x = r.nextInt(Teams.one.size());
			Player p = Bukkit.getServer().getPlayer(Teams.one.get(x));
			p.getInventory().setItem(7, bomb);
		}
		else{
			int x = r.nextInt(Teams.two.size());
			Player p = Bukkit.getServer().getPlayer(Teams.two.get(x));
			p.getInventory().setItem(7, bomb);
		}
	}
	
}
