package PlayerManagement;

import java.util.ArrayList;
import java.util.UUID;

import org.bukkit.ChatColor;
import org.bukkit.GameMode;
import org.bukkit.entity.Player;

import ConfigManagement.Locations;
import ConfigManagement.Messages;

public class Spectate {
	public static ArrayList<UUID> spectators = new ArrayList<UUID> ();
	public static void set(Player player){
		player.setGameMode(GameMode.ADVENTURE);
		player.setHealth(20.0);
		player.teleport(Locations.lobby());
		player.sendMessage(Messages.getPrefix() + ChatColor.RED + " You must wait for the next round to respawn!");
		spectators.add(player.getUniqueId());
	}
	
	public static void clear(Player player){
		player.setHealth(20.0);
		if (!spectators.contains(player.getUniqueId())) return;
		spectators.remove(player.getUniqueId());
	}
	public static boolean isSpectating(Player player){
		return spectators.contains(player.getUniqueId());
	}
}
