package ScoreManagement;

import java.util.HashMap;
import java.util.UUID;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.scoreboard.DisplaySlot;
import org.bukkit.scoreboard.Objective;
import org.bukkit.scoreboard.Score;
import org.bukkit.scoreboard.Scoreboard;

import GameManagement.Manager;
import GameManagement.Team;
import PlayerManagement.Players;

public class Pregame {
	public static HashMap<UUID, Scoreboard> boards = new HashMap<UUID, Scoreboard>();

	public static void update(Player p){
	if(!(boards.containsKey(p.getUniqueId()))){
	Scoreboard board = Bukkit.getServer().getScoreboardManager().getNewScoreboard();
	boards.put(p.getUniqueId(), board);
	}

	Scoreboard board = boards.get(p.getUniqueId());
	Objective o = board.getObjective(DisplaySlot.SIDEBAR);
	o = board.registerNewObjective("test", "dummy");
	o.setDisplayName(ChatColor.GOLD + "" + ChatColor.BOLD + "Cops and Crims");
	
//======================================= START TIMER =======================================
	 int time = GameManagement.Start.pregameTimer.timeLeft();

	int seconds = time%60;
	int minutes = time/60;
	if (minutes < 10){
		
		String mins = "0" + minutes;
		if (seconds < 10){
			String secs = "0" + seconds;
			Score timer = o.getScore(ChatColor.WHITE + mins + ":" + secs);
			timer.setScore(10);
		}
		else{
			
			Score timer = o.getScore(ChatColor.WHITE + mins + ":" + seconds);
			timer.setScore(10);
		}
	}
	else{
		String mins = minutes + "";
		if (seconds < 10){
			String secs = "0" + seconds;
			
			Score timer = o.getScore(ChatColor.WHITE + mins + ":" + secs);
			timer.setScore(10);
		}
		else{
			
			Score timer = o.getScore(ChatColor.WHITE + mins + ":" + seconds);
			timer.setScore(10);
		}
	}
//======================================= END TIMER =======================================
//======================================= BEGIN SCORE =======================================
			Score score = o.getScore(ChatColor.WHITE + "Score:");
			score.setScore(9);
			if (Manager.getCops() == Team.ONE){
				Score oneScore = o.getScore(ChatColor.BLUE + "Team One: " + ChatColor.WHITE + Manager.oneScore);
				oneScore.setScore(8);
				Score twoScore = o.getScore(ChatColor.RED + "Team Two: " + ChatColor.WHITE + Manager.twoScore);
				twoScore.setScore(7);
			}
			else{
				Score oneScore = o.getScore(ChatColor.RED + "Team One: " + ChatColor.WHITE + Manager.oneScore);
				oneScore.setScore(8);
				Score twoScore = o.getScore(ChatColor.BLUE + "Team Two: " + ChatColor.WHITE + Manager.twoScore);
				twoScore.setScore(7);
			}
//======================================= END SCORE =======================================
			if (Players.getTeam(p) == Team.ONE){
				Score team = o.getScore("Team One");
				team.setScore(6);
			}
			else{
				Score team = o.getScore("Team Two");
				team.setScore(6);
			}
	boards.put(p.getUniqueId(), board);
	p.setScoreboard(board);
	}
}
