package ScoreManagement;

import java.util.HashMap;
import java.util.UUID;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.scoreboard.DisplaySlot;
import org.bukkit.scoreboard.Objective;
import org.bukkit.scoreboard.Score;
import org.bukkit.scoreboard.Scoreboard;
import org.bukkit.scoreboard.ScoreboardManager;

import GameManagement.Manager;
import GameManagement.Team;
import PlayerManagement.Players;
import Stats.CurrentGame;



public class PregameBoard {
	public static void setBord(){
		ScoreboardManager manager = Bukkit.getScoreboardManager();
		Scoreboard board = manager.getNewScoreboard();
		Objective objective = board.registerNewObjective("test", "dummy");
		objective.setDisplaySlot(DisplaySlot.SIDEBAR);

		objective.setDisplayName(ChatColor.GOLD + "" + ChatColor.BOLD + "Cops and Crims");


		for (Player player : Bukkit.getOnlinePlayers()){
			
			player.setScoreboard(board);
		}
	}
	
	
	
	
	
	
	
	
	
	
	
	private static ScoreboardManager manager = Bukkit.getScoreboardManager();
	static HashMap<UUID, Scoreboard> scoreboards = new HashMap<UUID, Scoreboard>();
	 
	public static void createScoreboard(Player player) {
	 
	Scoreboard board = manager.getNewScoreboard();
	 
	Objective objective = board.registerNewObjective("dtvScoreboard", "dummy");
	 
	objective.setDisplaySlot(DisplaySlot.SIDEBAR);
	objective.setDisplayName(ChatColor.GOLD + "" + ChatColor.BOLD + "Cops and Criminals");

	player.setScoreboard(board);
	scoreboards.put(player.getUniqueId(), board);
	 
	}
	 
	public static void updatePoints(Player player) {
		createScoreboard(player);
	Scoreboard board = scoreboards.get(player.getUniqueId());
	 
	Objective objective = board.getObjective(DisplaySlot.SIDEBAR);
	objective.setDisplayName(ChatColor.GOLD + "" + ChatColor.BOLD + "Cops and Criminals");
	Score blank = objective.getScore("    ");
	blank.setScore(11);
	//======================================= START TIMER =======================================
	
		int time = GameManagement.Start.pregameTimer.timeLeft();
		 
		int seconds = time%60;
		int minutes = time/60;
		if (minutes < 10){
			
			String mins = "0" + minutes;
			if (seconds < 10){
				String secs = "0" + seconds;
				Score timer = objective.getScore(ChatColor.WHITE + mins + ":" + secs);
				timer.setScore(10);
			}
			else{
				
				Score timer = objective.getScore(ChatColor.WHITE + mins + ":" + seconds);
				timer.setScore(10);
			}
		}
		else{
			String mins = minutes + "";
			if (seconds < 10){
				String secs = "0" + seconds;
				
				Score timer = objective.getScore(ChatColor.WHITE + mins + ":" + secs);
				timer.setScore(10);
			}
			else{
				
				Score timer = objective.getScore(ChatColor.WHITE + mins + ":" + seconds);
				timer.setScore(10);
			}
		}
	//======================================= END TIMER =======================================
		Score blank1 = objective.getScore(" ");
		blank1.setScore(9);
	//======================================= BEGIN SCORE =======================================
				Score score = objective.getScore(ChatColor.WHITE + "Score:");
				score.setScore(7);
				if (Manager.getCops() == Team.ONE){
					Score oneScore = objective.getScore(ChatColor.BLUE + "Team One: " + ChatColor.WHITE + Manager.oneScore);
					oneScore.setScore(6);
					Score twoScore = objective.getScore(ChatColor.RED + "Team Two: " + ChatColor.WHITE + Manager.twoScore);
					twoScore.setScore(5);
				}
				else{
					Score oneScore = objective.getScore(ChatColor.RED + "Team One: " + ChatColor.WHITE + Manager.oneScore);
					oneScore.setScore(6);
					Score twoScore = objective.getScore(ChatColor.BLUE + "Team Two: " + ChatColor.WHITE + Manager.twoScore);
					twoScore.setScore(5);
				}
	//======================================= END SCORE =======================================
	
				Score blankk = objective.getScore("         ");
				blankk.setScore(4);
				Score yourTeam = objective.getScore(ChatColor.WHITE + "Your team:");
				yourTeam.setScore(3);
				if (Players.getTeam(player) == Team.ONE){
					if (Manager.getCops() == Team.ONE){
						Score team = objective.getScore(ChatColor.BLUE + "Team One");
						team.setScore(2);
					}
					else{
						Score team = objective.getScore(ChatColor.RED + "Team One");
						team.setScore(2);
					}
					
				}
				else{
					if (Manager.getCops() == Team.TWO){
						Score team = objective.getScore(ChatColor.BLUE+ "Team Two");
						team.setScore(2);
					}
					else{
						Score team = objective.getScore(ChatColor.RED+ "Team Two");
						team.setScore(2);
					}
				
				}
			Score blank3 = objective.getScore(ChatColor.BLUE + "");
			blank3.setScore(1);
			Score stats = objective.getScore(ChatColor.WHITE + "Stats:");
			stats.setScore(-1);
			Score kills = objective.getScore(ChatColor.GREEN + "Kills: " + CurrentGame.getKills(player));
			kills.setScore(-2);
			Score deaths = objective.getScore(ChatColor.RED + "Deaths: " + CurrentGame.getDeaths(player));
			deaths.setScore(-3);
			Score money = objective.getScore(ChatColor.GOLD + "Money: " + CurrentGame.getMoney(player));
			money.setScore(-4);

	player.setScoreboard(board);
	scoreboards.put(player.getUniqueId(), board);
	}
}
