package Stats;

import java.util.HashMap;
import java.util.UUID;

import org.bukkit.entity.Player;


public class CurrentGame {
	private static HashMap<UUID, Integer> kills = new HashMap<UUID, Integer> ();
	private static HashMap<UUID, Integer> deaths = new HashMap<UUID, Integer> ();
	private static HashMap<UUID, Integer> money = new HashMap<UUID, Integer> ();
	
	public static void setMoney(Player player, int i){
		money.put(player.getUniqueId(), i);
	}
	public static int getMoney(Player player){
		if (money.containsKey(player.getUniqueId())) return money.get(player.getUniqueId());
		else return 0;
				}
	public static void addMoney(Player player, int i){
	money.put(player.getUniqueId(), getMoney(player) + i);
	}
	public static boolean hasMoney(Player player, int i){
		return getMoney(player) >= i;
	}
	public static void removeMoney(Player player, int i){
		if (hasMoney(player, i)) money.put(player.getUniqueId(), getMoney(player) - i);
		else money.put(player.getUniqueId(), 0);
	}
	
	
	
	
	public static int getKills(Player player){
		if (!kills.containsKey(player.getUniqueId())) return 0;
		return kills.get(player.getUniqueId());
	}
	public static void addKill(Player player){
		if (!kills.containsKey(player.getUniqueId())) kills.put(player.getUniqueId(), 1);
		else{
			int i = getKills(player);
			i++;
			kills.put(player.getUniqueId(), i);
		}
	}
	public static int getDeaths(Player player){
		if (!deaths.containsKey(player.getUniqueId())) return 0;
		return deaths.get(player.getUniqueId());
	}
	public static void addDeath(Player player){
		if (!deaths.containsKey(player.getUniqueId())) deaths.put(player.getUniqueId(), 1);
		else{
			int i = getDeaths(player);
			i++;
			deaths.put(player.getUniqueId(), i);
		}
	}
	public static void clear(){
		kills.clear();
		deaths.clear();
	}
}
