package tfw.Main;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import ConfigManagement.Messages;

public class CommandsManager implements CommandExecutor{
	public void sendHelp(Player player){
		player.sendMessage(Messages.getPrefix() + ChatColor.BLUE + " Here is a list of commands:");
		player.sendMessage(Messages.getPrefix() + ChatColor.GRAY + " /cac setlobby");
		player.sendMessage(Messages.getPrefix() + ChatColor.GRAY + " /cac setcops");
		player.sendMessage(Messages.getPrefix() + ChatColor.GRAY + " /cac setcrim");
		player.sendMessage(Messages.getPrefix() + ChatColor.GRAY + " /cac start (Use with caution!)");
	}
	
	@Override
    public boolean onCommand(CommandSender sender, Command cmd, String cmdLabel, String[] args) {
	if (sender instanceof Player){
		Player player = (Player) sender;
		 if (cmdLabel.equalsIgnoreCase("cac") && player.hasPermission("cac.admin")) {
	           if (args.length == 0){
	        	   sendHelp(player);
	           }
	           else if (args.length == 1){
	        	   if (args[0].equalsIgnoreCase("setlobby")){
	        		   ConfigManagement.Locations.setLobby(player.getLocation());
	        		   player.sendMessage(Messages.getPrefix() + ChatColor.GREEN + " You set the lobby location!");
	        	   }
	        	   else if (args[0].equalsIgnoreCase("setcops") || args[0].equalsIgnoreCase("setcop")){
	        		   ConfigManagement.Locations.setCopSpawn(player.getLocation());
	        		   player.sendMessage(Messages.getPrefix() + ChatColor.GREEN + " You set the cop spawn location!");
	        	   }
	        	   else if (args[0].equalsIgnoreCase("setcrim") || args[0].equalsIgnoreCase("setcrims")){
	        		   ConfigManagement.Locations.setRobberSpawn(player.getLocation());
	        		   player.sendMessage(Messages.getPrefix() + ChatColor.GREEN + " You set the crim spawn location!");
	        	   }
	        	   else if (args[0].equalsIgnoreCase("start")){
	        		   GameManagement.Start.preGame();
	        	   }
	        	   else {
	        		   sendHelp(player);
	        	   }
	           }
	           else if (args.length == 2){
	        	   
	           }
	        }	
	}
       
    
    return false;
}
}
